/*
	File:		FadeScreen.h

	Contains:	code snippet for fading a screen of any depth in or out.

	Written by:	John Wang

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1>		03/14/94	JW		Re-Created for Universal Headers.

	To Do:

*/

#ifdef THINK_C
#define		applec
#endif

/* ------------------------------------------------------------------------- */

void FadeInOut(GDHandle myDevice, Boolean inOut, short smoothness);
void DirectFadeInOut(GDHandle myDevice, Boolean inOut, short smoothness);
void IndexedFadeInOut(GDHandle myDevice, Boolean inOut, short smoothness);
