/*
	File:		SampleCode.r

	Written by:	Jim Batson

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

*/

#include <Types.r>
#include <ImageCodec.r>

#define SystemSevenOrLater

#define	canMovieImportHandles 1
#define	canMovieImportFiles 2
#define	hasMovieImportUserInterface 4
#define	canMovieExportHandles 8
#define	canMovieExportFiles 16
#define	hasMovieExportUserInterface 32


resource 'thng' (131,  "Export CMX3600 EDL") {
	'spit',
	'TEXT',
	'tmcd',
	canMovieExportFiles | hasMovieExportUserInterface,
	0,
	'spit',
	128,
	'STR ',
	131,
	'STR ',
	231,
	0,
	0
};

resource 'STR ' (131) {
	"CMX3600 EDL"
};

resource 'STR ' (231) {
	"Exports a CMX3600 EDL from a QuickTime movie with TimeCode"
};

